Get product by ID
curl --request GET \
--url https://skycoach.gg/api/shop/marketplace/products/{productId} \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://skycoach.gg/api/shop/marketplace/products/{productId}"
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Accept: '<accept>', Authorization: 'Bearer <token>'}};
fetch('https://skycoach.gg/api/shop/marketplace/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"id": 61,
"title": "Marvel Rivals Accounts",
"step_size": 1,
"meta": null,
"is_active": true,
"is_active_for_pro": true,
"marketplace_type": 2,
"related_product": [
{}
],
"product_fields": [
{
"id": 198,
"parent_id": null,
"product_id": 61,
"is_inline": false,
"is_filter": false,
"is_required": true,
"title": "Platform",
"placeholder": "Platform",
"component_view": 5,
"priority": 2,
"deleted_at": null,
"parent_value_id": null,
"default_value_id": null,
"is_primary": true,
"component_edit": 2,
"has_custom_value": false,
"has_values_counter": false,
"component_view_data": {},
"component_edit_data": {},
"is_hidden": false,
"ranking_weight": 0,
"is_show_in_tags": false,
"title_for_primary": null,
"title_for_tags": null,
"is_sort_values_by_priority": false,
"product_field_values": [
{
"id": 1,
"product_field_id": 198,
"value": "PC",
"priority": 1,
"deleted_at": null,
"additional_value": null
}
]
}
]
}
}{
"message": "Unauthenticated."
}{
"message": "Forbidden."
}{
"message": "Not found"
}Currency Marketplace
Get product by ID
GET
/
api
/
shop
/
marketplace
/
products
/
{productId}
Get product by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
API response format
Available options:
application/json Path Parameters
Product ID
Example:
123
Response
Success. Returns single product matching PublicProductCurrencySettingResource.
Show child attributes
Show child attributes
⌘I